NodeRingsDocs

List Metrics Write Credentials

GET
/v1/metrics-write-credentials
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Query Parameters

agentId?string

Optional: omit or leave empty to list credentials for the whole organization.

includeRevoked?boolean
page?integer
Formatint32
pageSize?integer

-1 means fetch all; otherwise 1..100.

Formatint32

Response Body

application/json

curl -X GET "https://api.noderings.com/v1/metrics-write-credentials?agentId&includeRevoked&page&pageSize" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "credentials": [
    {
      "id": "string",
      "publicId": "string",
      "name": "string",
      "scopes": [
        "string"
      ],
      "agentId": "string",
      "organizationId": "string",
      "createTime": "2019-08-24T14:15:22Z",
      "expiresAt": "2019-08-24T14:15:22Z",
      "revokedAt": "2019-08-24T14:15:22Z",
      "lastUsedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "totalCount": 0
}